package com.liang.service;

import com.liang.entity.SysDeptInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (SysDeptInfo)表服务接口
 *
 * @author makejava
 * @since 2023-03-10 18:09:42
 */
public interface SysDeptInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param deptId 主键
     * @return 实例对象
     */
    SysDeptInfo queryById(Integer deptId);

    /**
     * 分页查询
     *
     * @param sysDeptInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysDeptInfo> queryByPage(SysDeptInfo sysDeptInfo, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysDeptInfo 实例对象
     * @return 实例对象
     */
    int insert(SysDeptInfo sysDeptInfo);

    /**
     * 修改数据
     *
     * @param sysDeptInfo 实例对象
     * @return 实例对象
     */
    int update(SysDeptInfo sysDeptInfo);

    /**
     * 通过主键删除数据
     *
     * @param deptId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer deptId);

    /**
     * 获取部门列表
     *
     * @return
     */
    List<SysDeptInfo> list();

    /**
     * 获取所属部门
     *
     * @return
     */
    List<SysDeptInfo> queryAll();

    /**
     * 批量删除
     *
     * @param deptIdList
     * @return
     */
    int batchDelete(List<Integer> deptIdList);

    String getUserDept(Integer sqr);

    List<SysDeptInfo> getDeptName();
}
